package com.ecep.contract.service;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

public interface IEntityService<T> {
    T findById(Integer id);

    T save(T entity);

    void delete(T entity);

    List<T> findAll();

    Page<T> findAll(Map<String, Object> params, Pageable pageable);

}
